=== debian/changelog ===
belr (0.1.3-2) unstable; urgency=medium

  * Use debhelper v11
  * Update d/copyright
  * Switch Vcs-URLs to salsa.d.o
  * Update Standards-Version to 4.1.3, no changes needed
  * Remove symbols file, it's too fragile for different architectures.
    (Closes: #881269)
  * Add shlibs file for libbelr1

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 16 Feb 2018 14:35:52 +0100

belr (0.1.3-1) unstable; urgency=medium

  * Initial release (Closes: #881195)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 08 Nov 2017 20:27:12 +0100
