=== debian/control ===
Source: belr
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 11), cmake, libbctoolbox-dev
Standards-Version: 4.1.3
Section: libs
Homepage: https://www.linphone.org
Vcs-Git: https://salsa.debian.org/pkg-voip-team/belr.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/belr

Package: libbelr-dev
Section: libdevel
Architecture: any
Depends: libbelr1 (= ${binary:Version}), ${misc:Depends}
Description: language recognition library by Belledonne Communications (development headers)
 Belr is Belledonne Communications' language recognition library. It aims
 at parsing any input formatted according to a language defined by an
 ABNF grammar, such as the protocols standardized at IETF.
 .
 It is based on finite state machine theory and heavily relies on
 recursivity from an implementation standpoint.
 .
 The package is probably not useful outside the Belledonne Communications suite
 of libraries and programs.
 .
 This package contains the development headers.

Package: libbelr1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: language recognition library by Belledonne Communications
 Belr is Belledonne Communications' language recognition library. It aims
 at parsing any input formatted according to a language defined by an
 ABNF grammar, such as the protocols standardized at IETF.
 .
 It is based on finite state machine theory and heavily relies on
 recursivity from an implementation standpoint.
 .
 The package is probably not useful outside the Belledonne Communications suite
 of libraries and programs.
 .
 This package contains the shared library.
