=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%belr-$1.tar.gz%" \
   https://github.com/BelledonneCommunications/belr/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
