## belr 4.4.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 # CMakeLists.txt
-# Copyright (C) 2015  Belledonne Communications, Grenoble France
+# Copyright (C) 2010-2019 Belledonne Communications, Grenoble France
 #
 ############################################################################
 #
@@ -20,8 +20,8 @@
 #
 ############################################################################
 
-cmake_minimum_required(VERSION 3.0)
-project(BELR VERSION 0.1.3 LANGUAGES C CXX)
+cmake_minimum_required(VERSION 3.1)
+project(BELR VERSION 4.4.0 LANGUAGES C CXX)
 
 set(BELR_SO_VERSION "1")
 
@@ -29,7 +29,8 @@
 option(ENABLE_STATIC "Build static library." ON)
 option(ENABLE_STRICT "Build with strict compile options." YES)
 option(ENABLE_TOOLS "Turn on or off compilation of tools." YES)
-
+option(ENABLE_TESTS "Enable compilation of unit tests." YES)
+option(ENABLE_PACKAGE_SOURCE "Create 'package_source' target for source archive making (CMake >= 3.11)" OFF)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -41,16 +42,17 @@
 include(GNUInstallDirs)
 include(CheckSymbolExists)
 include(CMakePushCheckState)
+include(CheckCXXCompilerFlag)
+
+if(MSVC)
+    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
+endif()
 
 # find_package should be invoked here to check for libraries - however do NOT
 # call include_directories here (see below)
+find_package(bctoolbox 0.0.5 REQUIRED OPTIONAL_COMPONENTS tester)
 
-if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
-	set(BcToolbox_FIND_COMPONENTS tester)
-	include("${EP_bctoolbox_CONFIG_DIR}/BcToolboxConfig.cmake")
-else()
-	find_package(BcToolbox 0.0.3 REQUIRED)
-endif()
+set(LINK_FLAGS )
 
 if(UNIX AND NOT APPLE)
 	include(CheckIncludeFiles)
@@ -58,8 +60,8 @@
 endif()
 
 include_directories(
-	include/
-	src/
+	include
+	src
 	${CMAKE_CURRENT_BINARY_DIR}
 )
 if(MSVC)
@@ -78,15 +80,18 @@
 	list(APPEND STRICT_OPTIONS_CPP "-Wall" "-Wuninitialized" "-Wno-error=deprecated-declarations")
 	list(APPEND STRICT_OPTIONS_C "-Wdeclaration-after-statement" "-Wstrict-prototypes" "-Wno-error=strict-prototypes")
 	list(APPEND STRICT_OPTIONS_CXX "-std=c++11")
-	if(CMAKE_C_COMPILER_ID STREQUAL "Clang")
+	if(CMAKE_C_COMPILER_ID MATCHES "Clang")
 		list(APPEND STRICT_OPTIONS_CPP "-Qunused-arguments" "-Wno-array-bounds")
 	endif()
 	if(APPLE)
 		list(APPEND STRICT_OPTIONS_CPP "-Wno-error=unknown-warning-option" "-Qunused-arguments" "-Wno-tautological-compare" "-Wno-unused-function" "-Wno-array-bounds")
-		list(APPEND STRICT_OPTIONS_CXX "-stdlib=libc++")
 	endif()
 	if(ENABLE_STRICT)
 		list(APPEND STRICT_OPTIONS_CPP "-Werror" "-Wextra" "-Wno-unused-parameter" "-fno-strict-aliasing")
+		CHECK_CXX_COMPILER_FLAG("-Wsuggest-override" SUGGEST_OVERRIDE)
+		if(SUGGEST_OVERRIDE)
+			list(APPEND STRICT_OPTIONS_CPP "-Wsuggest-override -Werror=suggest-override")
+		endif()
 	endif()
 endif()
 if(STRICT_OPTIONS_CPP)
@@ -106,34 +111,47 @@
 endif()
 add_definitions("-DBELR_EXPORTS")
 
-if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
-	set(EXPORT_TARGETS_NAME "LinphoneBuilder")
-else()
-	set(EXPORT_TARGETS_NAME "belr")
-endif()
+set(EXPORT_TARGET_NAME "belr")
+
+set(BELR_GRAMMARS_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/${EXPORT_TARGET_NAME}/grammars")
+set(BELR_GRAMMARS_RELATIVE_DIR "${CMAKE_INSTALL_DATADIR}/${EXPORT_TARGET_NAME}/grammars")
+
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 add_subdirectory(include)
 add_subdirectory(src)
+if(ENABLE_TESTS)
+  add_subdirectory(tester)
+endif()
 if(ENABLE_TOOLS)
 	add_subdirectory(tools)
 endif()
 
 include(CMakePackageConfigHelpers)
-export(EXPORT ${EXPORT_TARGETS_NAME}Targets
-	FILE "${CMAKE_CURRENT_BINARY_DIR}/BelrTargets.cmake"
+set(EXPORT_TARGET_NAME belr)
+set(ConfigPackageLocation "${CMAKE_INSTALL_LIBDIR}/cmake/${EXPORT_TARGET_NAME}")
+
+export(EXPORT ${EXPORT_TARGET_NAME}Targets
+	FILE "${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGET_NAME}Targets.cmake"
 )
-configure_file(cmake/BelrConfig.cmake.in
-	"${CMAKE_CURRENT_BINARY_DIR}/BelrConfig.cmake"
-	@ONLY
+
+configure_package_config_file(cmake/BelrConfig.cmake.in
+	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGET_NAME}Config.cmake"
+	INSTALL_DESTINATION ${ConfigPackageLocation}
+	NO_SET_AND_CHECK_MACRO
 )
-set(ConfigPackageLocation share/Belr/cmake)
-install(EXPORT ${EXPORT_TARGETS_NAME}Targets
-	FILE BelrTargets.cmake
-	DESTINATION ${ConfigPackageLocation}
-)
-install(FILES
-	"${CMAKE_CURRENT_BINARY_DIR}/BelrConfig.cmake"
+
+install(EXPORT ${EXPORT_TARGET_NAME}Targets
+	FILE ${EXPORT_TARGET_NAME}Targets.cmake
 	DESTINATION ${ConfigPackageLocation}
 )
 
-add_subdirectory(build)
+#Yes, an install directive is necessary. The INSTALL_DESTINATION parameter of configure_package_config_file() above does NOTHING.
+install(FILES
+	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGET_NAME}Config.cmake"
+	DESTINATION ${ConfigPackageLocation}
+)
+
+if (ENABLE_PACKAGE_SOURCE)
+	add_subdirectory(build)
+endif()
