=== debian/changelog ===
belr (4.4.13-2) unstable; urgency=medium

  * Team upload.
  * Release to unstable.
  * Drop Tobias Quathamer from Uploaders, add myself

 -- Bernhard Schmidt <berni@debian.org>  Fri, 25 Dec 2020 17:16:15 +0100

belr (4.4.13-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.4.13
  * Bump to debhelper-compat (= 12)
  * Change Vcs-* to linphone-stack subgroup

 -- Bernhard Schmidt <berni@debian.org>  Mon, 07 Dec 2020 11:36:11 +0100

belr (4.4.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.4.0
  * Bump build-dep on linphone-sdk 4.4
  * Run wrap-and-sort

 -- Bernhard Schmidt <berni@debian.org>  Tue, 01 Sep 2020 00:43:44 +0200

belr (4.3.1-1) experimental; urgency=medium

  * Team upload.
  * d/watch: Switch to upstream primary Gitlab, only use releases
  * New upstream version 4.3.1
  * Disable Tests (need bcunit) and static building

 -- Bernhard Schmidt <berni@debian.org>  Tue, 02 Jun 2020 00:09:55 +0200
