=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: belr
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 11), cmake, libbctoolbox-dev
+Uploaders: Bernhard Schmidt <berni@debian.org>
+Build-Depends: cmake,
+               debhelper-compat (= 12),
+               libbctoolbox-dev (>= 4.4.0~)
 Standards-Version: 4.1.3
 Section: libs
 Homepage: https://www.linphone.org
-Vcs-Git: https://salsa.debian.org/pkg-voip-team/belr.git
-Vcs-Browser: https://salsa.debian.org/pkg-voip-team/belr
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/belr.git
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone-stack/belr
 
 Package: libbelr-dev
 Section: libdevel
@@ -28,7 +30,7 @@
 
 Package: libbelr1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: language recognition library by Belledonne Communications
  Belr is Belledonne Communications' language recognition library. It aims
  at parsing any input formatted according to a language defined by an
