=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,4 @@
 # Upstream unconditionally sets CMAKE_INSTALL_RPATH. Make it ineffective by
 # setting CMAKE_SKIP_RPATH
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON
+	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON -DENABLE_STATIC=no -DENABLE_TESTS=no
