=== debian/changelog ===
belr (5.0.37-2) unstable; urgency=medium

  * Team upload.
  * Release to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Mon, 12 Sep 2022 08:24:53 +0200

belr (5.0.37-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 5.0.37

 -- Dennis Filder <d.filder@web.de>  Wed, 08 Jun 2022 23:20:48 +0200
