=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Bernhard Schmidt <berni@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
-               libbctoolbox-dev (>= 4.4.0~)
-Standards-Version: 4.1.3
+               debhelper-compat (= 13),
+               libbctoolbox-dev (>= 5.0.37~)
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Section: libs
 Homepage: https://www.linphone.org
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/belr.git
@@ -14,6 +15,7 @@
 Package: libbelr-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libbelr1 (= ${binary:Version}), ${misc:Depends}
 Description: language recognition library by Belledonne Communications (development headers)
  Belr is Belledonne Communications' language recognition library. It aims
@@ -30,6 +32,7 @@
 
 Package: libbelr1
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: language recognition library by Belledonne Communications
  Belr is Belledonne Communications' language recognition library. It aims
