=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -23,22 +23,19 @@
 if(ENABLE_SHARED)
 	set(BELR_LIBRARIES_FOR_TOOLS belr)
 else()
-	set(BELR_LIBRARIES_FOR_TOOLS belr-static)
+	set(BELR_LIBRARIES_FOR_TOOLS belr)
 endif()
 
-foreach(EXECTUABLE belr-parse belr-demo)
-	set(SOURCE_FILES_CXX ${EXECTUABLE}.cc)
+foreach(EXECUTABLE belr-parse belr-demo belr-compiler)
+	set(SOURCE_FILES_CXX ${EXECUTABLE}.cc)
 	bc_apply_compile_flags(SOURCE_FILES_CXX STRICT_OPTIONS_CPP STRICT_OPTIONS_CXX)
-	add_executable(${EXECTUABLE} ${SOURCE_FILES_CXX})
-	set_target_properties(${EXECTUABLE} PROPERTIES LINKER_LANGUAGE CXX)
-	target_link_libraries(${EXECTUABLE} ${BELR_LIBRARIES_FOR_TOOLS} ${BCTOOLBOX_CORE_LIBRARIES})
-	if(APPLE)
-		set_target_properties(${EXECTUABLE} PROPERTIES LINK_FLAGS "-stdlib=libc++")
-	endif()
+	add_executable(${EXECUTABLE} ${SOURCE_FILES_CXX})
+	set_target_properties(${EXECUTABLE} PROPERTIES LINKER_LANGUAGE CXX)
+	target_link_libraries(${EXECUTABLE} ${BELR_LIBRARIES_FOR_TOOLS} bctoolbox)
+endforeach()
 
-endforeach()
 if(NOT IOS)
-	install(TARGETS belr-parse
+	install(TARGETS belr-parse belr-compiler
 		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
 		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
 		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
