=== debian/changelog ===
belr (5.1.64-2) unstable; urgency=medium

  * Upload to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Sun, 27 Nov 2022 17:26:13 +0100

belr (5.1.64-1) experimental; urgency=medium

  * New upstream release.

 -- Dennis Filder <d.filder@web.de>  Wed, 05 Oct 2022 19:23:09 +0200
