=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Uploaders: Bernhard Schmidt <berni@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libbctoolbox-dev (>= 5.0.37~)
-Standards-Version: 4.6.0
+               libbctoolbox-dev (>= 5.1.64~)
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://www.linphone.org
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/belr.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone-stack/belr
+Description: Parser generator library for ABNF grammars
 
 Package: libbelr-dev
 Section: libdevel
