## belr 5.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
     cmake_policy(SET CMP0077 NEW)
 endif()
 
-project(BELR VERSION 5.1.0 LANGUAGES C CXX)
+project(BELR VERSION 5.2.0 LANGUAGES C CXX)
 
 set(BELR_SO_VERSION "1")
