=== debian/changelog ===
belr (5.2.0-2build3) noble; urgency=medium

  * No-change rebuild against libbctoolbox1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Apr 2024 02:09:18 +0000

belr (5.2.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:43:02 +0000

belr (5.2.0-2build1) noble; urgency=medium

  * No-change rebuild against libbctoolbox1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 03:00:28 +0000

belr (5.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Fri, 28 Jul 2023 22:35:16 +0200

belr (5.2.0-1) experimental; urgency=medium

  * New upstream release 5.2.0.
  * Comply with Debian policy v4.6.2.

 -- Dennis Filder <d.filder@web.de>  Mon, 19 Dec 2022 18:48:24 +0100
