=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
+include /usr/share/dpkg/pkg-info.mk
 
 
 # see FEATURE AREAS in dpkg-buildflags(1)
@@ -19,4 +20,8 @@
 # Upstream unconditionally sets CMAKE_INSTALL_RPATH. Make it ineffective by
 # setting CMAKE_SKIP_RPATH
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON -DENABLE_STATIC=no -DENABLE_TESTS=no
+	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON \
+		-DENABLE_STATIC=no \
+		-DENABLE_TESTS=no \
+		-DDEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM) \
+		-DENABLE_TOOLS=no
